from get_data import find_mcu_boards, McuBoard, PeriBoard
from flask import Flask, render_template, redirect, url_for

devices = find_mcu_boards()
mcu = McuBoard(devices[0])
peri = PeriBoard(mcu)
app = Flask(__name__)

@app.route("/")
def index():
   score1 = peri.get_score1()[0]
   score2 = peri.get_score2()[0]

   return """
     <!DOCTYPE html>
      <html>
      <title>Cowboy Game</title>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
      <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
      <style>
      body,h1 {{text-align: center,font-family: "Raleway", sans-serif}}
      body, html {{height: 100%}}
      .bgimg {{
        background-image: url("https://heavy.com/wp-content/uploads/2018/01/ovr_junkertown_004_png_jpgcopy.jpg?quality=65&strip=all");
        min-height: 100%;
        background-position: center;
        background-size: cover;
      }}
      .middle
      {{
          text-align: center;
      }}
      .player1
      {{
          margin-left: 400px;
      }}
      .player2
      {{
          margin-right: 100px;
      }}
      .score
      {{
          margin-left: 250px;
      }}
      .score1 {{
        position: absolute;
        top: 485px;
        left: 600px;
        font-size: 25px;
      }}
      .score2 {{
        position: absolute;
        top: 485px;
        left: 1000px;
        font-size: 25px;
      }}
      .botton
      {{
        position: absolute;
        top: 550px;
        left: 750px;
      }}
      </style>
      <body>

      <div class="bgimg w3-display-container w3-text-white">
        <div class="middle">
          <h1 class="w3-jumbo">COWBOY SIMULATOR</h1>
          <hr class="w3-border-grey" style="margin:auto;width:40%">
          <p class="w3-large w3-center">fight for survive</p>
        </div>
          <img src="https://i.ytimg.com/vi/-2EPpnNnnaA/hqdefault.jpg" class = "player1" width="400" height="300">
          <img src="http://1.bp.blogspot.com/-vLv75jYCd5A/Tqxi6X95kkI/AAAAAAAAACI/xpO1zwFWjIo/s1600/CarltonTim-11a73df9.JPG" class = "player2" width="400" height="300">
          <h2 class = "score">SCORE</h2>
          <div class = "score1">{}</div>
          <div class = "score2">{}</div>
          <button class = "botton"><a href="/reset" class="button">New Game!!</a></button>
      </div>
      <meta http-equiv="refresh" content="2.5" >
      </body>
      </html>
   """.format(score1,score2)

@app.route("/reset")
def reset_score():
   peri.reset_score()
   return redirect(url_for("index"))

app.run(debug=True, port=8000, host="0.0.0.0")
